//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
// shaders for ut4_facade, a Urban Terror map by Deliriun
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

textures/aadel_facade/sky2
{
	qer_editorimage textures/aadel_facade/env/color.tga
	q3map_lightmapFilterRadius 0 8	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_sunEXT 1 0.788 0.347 100 100 50 3 12 		
	q3map_skyLight 100 5			//q3map_skylight 125 6
	q3map_lightRGB 1 0.788 0.347

	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms env/box365/box365 - -

	nopicmip
	nomipmaps
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Water
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_facade/water2
{
	qer_editorimage textures/aadel_facade/water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1
        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water
        cull disable
	nopicmip
	//fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/aadel_facade/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 .1
        }
        {
            map textures/aadel_facade/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll .05 -.01
        }
        {
            map textures/aadel_facade/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 .1
        }

}
textures/aadel_facade/water
{
	qer_editorimage textures/aadel_facade/water2.jpg
	qer_trans 0.7
	q3map_globaltexture
        surfaceparm trans
	surfaceparm noimpact
	//surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water
	//fogparms ( 0.176 0.278 0.227 ) 512		//( .176 .278 .227 ) 512
	cull none	
	{ 
		map textures/aadel_facade/water2.tga
        	blendFunc blend
		alphaGen const 0.6
		rgbgen identity
	}
        {
        	map textures/aadel_facade/water.tga
        	blendFunc blend
		alphaGen const 0.1
		rgbGen identity
		tcMod turb 0 0.1 1 .1
        }
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}
textures/aadel_facade/watercaulk
{
	qer_editorimage textures/aadel_facade/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/aadel_facade/waterplant_2
{
	qer_alphafunc greater 0.5
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nodlight
	cull none 
	nopicmip
	deformVertexes bulge 64 1 2		
	{
		map textures/aadel_facade/waterplant_2.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
models/mapobjects/KOsAD/glass03
{
	qer_editorimage models/mapobjects/KOsAD/glass03.tga
	
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap

	{
		map models/mapobjects/KOsAD/glass03.tga
		rgbGen wave noise 0.5 1 0 5.37
		//alphaGen wave sin 0.5 0.3 0.25 1.5
	}
}
models/mapobjects/delirium/lamp/glass_wave
{
	q3map_lightimage textures/aadel_facade/env/color.tga
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	surfaceparm nolightmap
	q3map_surfacelight 33000 
        {
                map models/mapobjects/delirium/lamp/glass_wave.tga
        }	
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//credz NulL
textures/aadel_facade/terra_1
{
	qer_editorimage textures/aadel_facade/rocks_1.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_alphaMod dotproduct2 ( 0 0 1 )
	q3map_lightmapsampleoffset 16
	{
		map textures/aadel_facade/earthly.tga
	}	
	{
		map textures/aadel_facade/rocks_1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_facade/grass_mud_phong
{
	qer_editorimage textures/aadel_facade/ground1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_facade/ground2.tga
	}
	{
		map textures/aadel_facade/ground1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_facade/sn_concrete1
{
    q3map_nonplanar
    q3map_shadeangle 90
    //q3map_lightmapMergable
    qer_editorimage textures/aadel_facade/sn_concrete1.tga 
	{
		map $lightmap
		rgbGen identity
	}   
    {
        map textures/aadel_facade/sn_concrete1.tga
        blendFunc filter
    }
}
textures/aadel_facade/sn_concrete2
{
    q3map_nonplanar
    q3map_shadeangle 90
    //q3map_lightmapMergable
    qer_editorimage textures/aadel_facade/sn_concrete2.tga 
	{
		map $lightmap
		rgbGen identity
	}   
    {
        map textures/aadel_facade/sn_concrete2.tga
        blendFunc filter
    }

}
textures/aadel_facade/ground_stones_pr
{
    q3map_nonplanar
    q3map_shadeangle 90
    //q3map_lightmapMergable
    qer_editorimage textures/aadel_facade/ground_stones_pr.tga 
	{
		map $lightmap
		rgbGen identity
	}   
    {
        map textures/aadel_facade/ground_stones_pr.tga
        blendFunc filter
    }

}
textures/aadel_facade/sn_wall27
{
    q3map_nonplanar
    q3map_shadeangle 90
    //q3map_lightmapMergable
    qer_editorimage textures/aadel_facade/sn_wall27.tga 
	{
		map $lightmap
		rgbGen identity
	}   
    {
        map textures/aadel_facade/sn_wall27.tga
        blendFunc filter
    }

}
textures/aadel_facade/congo4
{
    q3map_nonplanar
    q3map_shadeangle 90
    //q3map_lightmapMergable
    qer_editorimage textures/aadel_facade/congo4.tga 
	{
		map $lightmap
		rgbGen identity
	}   
    {
        map textures/aadel_facade/congo4.tga
        blendFunc filter
    }

}
textures/aadel_facade/sn_wall14
{
    q3map_nonplanar
    q3map_shadeangle 90
    //q3map_lightmapMergable
    qer_editorimage textures/aadel_facade/sn_wall14.tga 
	{
		map $lightmap
		rgbGen identity
	}   
    {
        map textures/aadel_facade/sn_wall14.tga
        blendFunc filter
    }

}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_facade/ivy_wall_up
{
	qer_editorimage textures/aadel_facade/ivy_climb1.tga
	q3map_nonplanar
	q3map_shadeangle 30
	
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none

	{
		map textures/aadel_facade/ivy_climb1.tga
		blendfunc blend
		//rgbgen vertex
		rgbgen exactvertex
	}
	
}
textures/aadel_facade/sn_flowers
{
	qer_editorimage textures/aadel_facade/sn_flowers.tga
	q3map_nonplanar
	q3map_shadeangle 30

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	q3map_bouncescale 0.2

	{
		map textures/aadel_facade/sn_flowers.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_facade/vine07
{
	cull none
	q3map_vertexScale 1.5
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_facade/vine07.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
textures/aadel_facade/vine06
{
	cull none
	q3map_vertexScale 1.5
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_facade/vine06.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_facade/clothes_sheet
{
	qer_editorimage textures/aadel_facade/sheet.tga
	q3map_lightmapSampleSize 0
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes bulge 64 1 2
	{
		map textures/aadel_facade/sheet.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_facade/clothes_tanktop
{
	qer_editorimage textures/aadel_facade/sn_tanktop.tga
	q3map_lightmapSampleSize 0
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes bulge 64 1 2
	{
		map textures/aadel_facade/sn_tanktop.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_facade/clothes_jeanz
{
	qer_editorimage textures/aadel_facade/sn_jeans.tga
	q3map_lightmapSampleSize 0
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes bulge 64 1 2
	{
		map textures/aadel_facade/sn_jeans.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//this side faces the brighter side
textures/aadel_facade/metal_fence
{
	qer_editorimage textures/aadel_facade/metal_sheet.tga
	q3map_shadeangle 30
	q3map_nonplanar
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	nopicmip
	q3map_cloneshader textures/aadel_facade/metal_fence_back
	{
		map textures/aadel_facade/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_facade/metal_fence_back
{
	qer_editorimage textures/aadel_facade/metal_sheet.tga
	q3map_shadeangle 30
	q3map_nonplanar
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	nopicmip
	q3map_invert
	{
		map textures/aadel_facade/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_facade/wood_fence
{
	qer_editorimage textures/aadel_facade/wood_fence.tga
      cull none
      nopicmip
	q3map_lightmapSampleSize 0
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
        {
            map textures/aadel_facade/wood_fence.tga
		tcmod scale 2 2
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_facade/stain_a
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
	  map textures/aadel_facade/stain_a.tga
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen identity
	}
}
textures/aadel_facade/leak_a
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
	  map textures/aadel_facade/leak_a.tga
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen identity
	}
}
textures/aadel_facade/decal_fence_2
{
	qer_editorimage textures/aadel_facade/fence_2.tga
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	polygonOffset
	sort 6
	cull none
	nopicmip
	{
		map textures/aadel_facade/fence_2.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_facade/sn_fence1
{
	qer_editorimage textures/aadel_facade/sn_fence1.tga
	cull none
	q3map_vertexScale 1.5
	q3map_lightmapSampleSize 0
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	sort 6
	nopicmip
	{
		map textures/aadel_facade/sn_fence1.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	 }
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_facade/decal_crack_1
{
	qer_editorimage textures/aadel_facade/decal_crack1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_facade/decal_crack1.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_facade/decal_broken_floor_1
{
	qer_editorimage textures/aadel_facade/decal_broken_floor.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_facade/decal_broken_floor.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}
textures/aadel_facade/decal_conc_crack_vert
{
	qer_editorimage textures/aadel_facade/decal_conc_crack_vert.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_facade/decal_conc_crack_vert.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_facade/decal_conc_cracks
{
	qer_editorimage textures/aadel_facade/decal_concrete_cracks.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_facade/decal_concrete_cracks.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_facade/decal_keres4_decal02
{
	qer_editorimage textures/aadel_facade/keres4_decal02.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_facade/keres4_decal02.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_facade/decal_keres4_decal06
{
	qer_editorimage textures/aadel_facade/keres4_decal06.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_facade/keres4_decal06.tga
		blendfunc gl_dst_color gl_src_color
	}
} 
textures/aadel_facade/decal_keres4_decal10
{
	qer_editorimage textures/aadel_facade/keres4_decal10.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_facade/keres4_decal10.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_facade/decal_keres4_decal23
{
	qer_editorimage textures/aadel_facade/keres4_decal23.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_facade/keres4_decal23.tga
		blendfunc gl_dst_color gl_src_color
	}
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_facade/trim_1
{
	qer_editorimage textures/aadel_facade/trim_1.tga
      cull none
      nopicmip
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
        {
            map textures/aadel_facade/trim_1.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_facade/fill_sky_bright
{
    qer_trans 0.50
    qer_editorimage textures/aadel_facade/fill_sky.tga
    q3map_lightsubdivide 32
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm trans
    skyparms - - -
    
    q3map_backSplash -1 -1
    q3map_lightRGB 1 0.788 0.347
    q3map_surfacelight 100
}
textures/aadel_facade/cei_strip_light_br2
{
	q3map_lightimage textures/aadel_facade/env/color.tga
	qer_editorimage textures/aadel_facade/e6v_light.tga
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/aadel_facade/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/aadel_facade/e6v_light_blend.tga
		blendfunc add
		//blendfunc gl_src_color gl_one
	}
}

textures/aadel_facade/cei_strip_light_br1
{
	q3map_lightimage textures/aadel_facade/env/color.tga
	qer_editorimage textures/aadel_facade/e6v_light.tga
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 1000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/aadel_facade/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/aadel_facade/e6v_light_blend.tga
		blendfunc add
		//blendfunc gl_src_color gl_one
	}
}
//this side faces the brighter side
textures/aadel_facade/cloth
{
	qer_editorimage textures/aadel_facade/cloth.tga
	nopicmip
	q3map_shadeangle 30
	q3map_nonplanar
	q3map_cloneshader textures/aadel_facade/cloth_back
	{
		map textures/aadel_facade/cloth.tga
		//rgbgen vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}
textures/aadel_facade/cloth_back
{
	qer_editorimage textures/aadel_facade/cloth.tga
	nopicmip
	q3map_shadeangle 30
	q3map_nonplanar
	q3map_invert
	{
		map textures/aadel_facade/cloth.tga
		//rgbgen vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

//a clip that has different footstep sounds
textures/aadel_facade/clipmarx_pavement
{
      qer_trans 0.5
      surfaceparm trans
	surfaceparm nomarks 
	surfaceparm nodlight
        {
                map $whiteimage
                blendfunc filter
        }
}
textures/aadel_facade/clipmarx_steel
{
      qer_trans 0.5
      surfaceparm trans
	surfaceparm nomarks 
	surfaceparm nodlight
        {
                map $whiteimage
                blendfunc filter
        }
}
textures/aadel_facade/glass-yel
{
	qer_editorimage textures/aadel_facade/tinfx-yel.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/aadel_facade/tinfx-yel.tga
		blendfunc blend
		alphaGen 0.3
		tcgen environment
		rgbGen identity
		tcmod turb  0 0.3 0.75 0.0001
	}


}
textures/aadel_facade/ladderclip
{
	qer_trans 0.40
	qer_editor_image textures/aadel_facade/ladderclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}
textures/aadel_facade/clip_nokick
{
	qer_editorimage textures/aadel_facade/clip_nokick.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
}
textures/aadel_facade/shadow 
{ 
    qer_editorimage textures/aadel_facade/shadow1.tga 
    qer_trans 0.50
    q3map_pointlight 
    surfaceparm nonsolid 
    surfaceparm nomarks
    surfaceparm noimpact 
    { 
        map $whiteimage 
        alphagen const 0 
        alphafunc GT0
    } 
}

//credz NulL
textures/aadel_facade/gold_shader
{
	qer_editorimage textures/aadel_facade/gold_base.tga
	q3map_shadeangle 30
	q3map_nonplanar
	{
		map textures/aadel_facade/gold_base.tga
		tcgen environment
		//tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
		//tcmod turb  0 0.3 0.75 0.0001
		//tcmod scale 0.65 0.65
		//tcmod rotate -0.001 
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map textures/aadel_facade/gold_fx.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}
textures/aadel_facade/washedwall_shader
{
	qer_editorimage textures/aadel_facade/washedwall.tga
        cull none
	q3map_cloneshader textures/aadel_facade/washedwall_back
        {
                map textures/aadel_facade/washedwall.tga
                rgbGen identity
        }
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}
textures/aadel_facade/washedwall_back
{
	qer_editorimage textures/aadel_facade/washedwall.tga
        cull none
	q3map_invert
        {
                map textures/aadel_facade/washedwall.tga
                rgbGen identity
        }
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}
textures/aadel_facade/corona
{
	qer_editorimage textures/aadel_facade/corona.tga
	
	deformvertexes autosprite
	
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	
	cull none

	{
		map textures/aadel_facade/corona.tga
		blendfunc add
		rgbGen wave noise 0.5 1 0 5.37
		alphaGen wave sin 0.5 0.3 0.25 1.5
	}
}
textures/aadel_facade/sexshop_d
{
	qer_editorimage textures/aadel_facade/sexshop_d.tga
	nopicmip
	{
		map textures/aadel_facade/sexshop_d.tga
		rgbgen identity
	}
	{
		map textures/aadel_facade/sexshop_g.tga
		blendfunc add
		rgbGen wave noise 0.5 1 0 5.37
		alphaGen wave sin 0.5 0.3 0.25 1.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_facade/black_fog
{
	qer_editorimage textures/aadel_facade/fog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm fog
	fogparms ( 0 0 0 ) 512
	q3map_bouncescale 0
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Windows
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_facade/sn_window2
{
	q3map_lightmapBrightness 1.4
	{	
		map textures/aadel_facade/sn_window2.tga
	}
	{
		map textures/aadel_facade/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_facade/sn_window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_facade/sn_window8
{
	q3map_lightmapBrightness 1.4
	{	
		map textures/aadel_facade/sn_window8.tga
	}
	{
		map textures/aadel_facade/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_facade/sn_window8.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_facade/keres4_window01
{
	qer_editorimage textures/aadel_facade/keres4_window01.tga
	qer_trans 0.75
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/aadel_facade/keres4_window01.tga
		blendfunc blend
		alphaGen const 0.8
	}
	{
		map textures/aadel_facade/tinfx.tga
		tcgen environment
		blendfunc blend
		alphaGen const 0.5
	}

	{
		map textures/aadel_facade/keres4_window01.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}

}
textures/aadel_facade/oldwindow
{
	q3map_lightimage textures/aadel_facade/env/color.tga
	qer_editorimage textures/aadel_facade/oldnews01b_d.tga
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 7000
	nopicmip
	{
		map textures/aadel_facade/oldnews01b_d.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/aadel_facade/oldnews01_mask.tga
		blendfunc add
	}
}
textures/aadel_facade/oldwindow_nolight
{
	qer_editorimage textures/aadel_facade/oldnews01b_d.tga
	nopicmip
	{
		map textures/aadel_facade/oldnews01b_d.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	LevelShot Hax
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
levelshots/ut4_facade_b2
{
	//DONT J00 WISH YOUR MAP HAD THUS LEET HAXZOR SH!T???
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_facade_b2.tga
        }
	{
                map levelshots/ut4_facade_b2_2.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave sin 0 1 1 0.03
	}	
	
}
//FUSH N CHUPS